Last modified: 2013-08-09 14:56:07 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 24290 - MediaWiki:Watchlistfor is pretty pointless/redundant
MediaWiki:Watchlistfor is pretty pointless/redundant
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Watchlist (Other open bugs)
unspecified
All All
: Low enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: messages
  Show dependency treegraph
 
Reported: 2010-07-06 17:57 UTC by The Evil IP address
Modified: 2013-08-09 14:56 UTC (History)
1 user (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description The Evil IP address 2010-07-06 17:57:24 UTC
Currently, when you read your watchlist, the page reads 

My watchlist
(for The Evil IP address)
View relevant changes • View and edit watchlist • Edit raw watchlist

Under the title "My watchlist", the localized message of MediaWiki:Watchlistfor is used. However, this is pretty redundant to the information already given there. The title explains it's mine. Also, the "For The Evil IP address" suggests that you could view the watchlist of someone else, whereas you can't do so. Thus, I'd suggest one of the following:

*Remove the "MediaWiki:Watchlistfor" from the page output, which would remove the redundant information and avoid possible confusion.
*Remove the "My" part from the page title, which would only remove the redundancy.

If the second solution would be chosen, then it would be good to furthermore add a CSS id/class around it.
Comment 1 Nemo 2012-07-24 11:26:27 UTC
Should this be moved to user interface? RobLa, who takes care of message rephrasing?
Comment 2 Andre Klapper 2013-05-13 14:22:37 UTC
(In reply to comment #0)
> *Remove the "My" part from the page title, which would only remove the
> redundancy.

The Evil IP address: This seems to be the case now, at least on https://commons.wikimedia.org/wiki/Special:Watchlist with English language?
Comment 3 Nemo 2013-08-09 14:56:07 UTC
(In reply to comment #2)
> (In reply to comment #0)
> > *Remove the "My" part from the page title, which would only remove the
> > redundancy.
> 
> The Evil IP address: This seems to be the case now, at least on
> https://commons.wikimedia.org/wiki/Special:Watchlist with English language?

Yes, all the "my" have been assassinated or replaced with "your" a short while ago.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links